Skip to main content
POST
Create InvoiceRefund

Endpoint Overview

POST https://api.unibee.dev/merchant/invoice/refund Create payment refund for paid invoice

Authorization

All UniBee Merchant API requests require authentication via API key.

Parameters

Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.

Request body


Request examples

cURL

Sandbox


Response

Success responses return a JSON envelope with code, data, message, redirect, and requestId. code 0 indicates success.

Error handling

When code in the response body is non-zero, check message for details. Use requestId when contacting support.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Create payment refund for paid invoice

invoiceId
string<string>
required

The unique id of invoice

reason
string<string>
required

The reason of refund

refundAmount
integer<int64>
required

The amount of refund

cancelSubscription
boolean<bool>
default:false

Whether cancel related subscription after refund request is accepted

paymentId
string<string>

The payment id to refund (required for split payment invoices, optional for single payment invoices)

refundNo
string<string>

The out refund number

Response

200 - application/json
code
integer<int>
data
object
merchantId
integer<int64>
message
string<string>
redirect
string<string>
requestId
string<string>